using System.Collections;
using System.Collections.Generic;
using Godot;
using System;

using System.Threading.Tasks;

namespace Rokojori
{
  public class MultiBakeModeSpherical:MultiBakeModeImplementation
  { 
    public readonly string sphericalShader = "res://addons/rokojori_action_library/External/Imposter/materials/shaders/ImpostorShader.gdshader";

    public override MultiBaker.BakeMode GetBakeMode()
    {
      return MultiBaker.BakeMode.Spherical;
    }

    public override int GetNumViews()
    {
      var views = multiBaker.sphericalSides * multiBaker.sphericalRows;

      return views;
    }

    public override void CreateMaterial( bool preview )
    {

    }

    public override void AssignMaterial( BakingMaterialMode mode, Texture2D texture )
    {

    }

    public override void CreateBakes()
    {

    }

  }
}